Name:           python-backports-unittest_mock
Version:        1.5
Release:        1
Summary:        Backports of unittest_mock
License:        MIT
URL:            https://github.com/jaraco/backports.unittest_mock
Source0:        https://files.pythonhosted.org/packages/source/b/backports.unittest_mock/backports.unittest_mock-%{version}.tar.gz
Source1:        MIT

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools_scm python3-mock

%description
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%package        -n python3-backports-unittest_mock
Summary:        Backports of unittest_mock
%{?python_provide:%python_provide python3-backports-unittest_mock}

%description    -n python3-backports-unittest_mock
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%prep
%autosetup -n backports.unittest_mock-%{version} -p1

%build
%py3_build

%install
%py3_install
install -p -m 0644 %{SOURCE1} MIT

%check
%{__python3} setup.py test

%files -n python3-backports-unittest_mock
%doc CHANGES.rst README.rst docs/* MIT
%{python3_sitelib}/*

%changelog
* Thu Oct 13 2022 Ge Wang <wangge20@h-partners.com> - 1.5-1
- Update to version 1.5

* Wed Aug 05 2020 lingsheng <lingsheng@huawei.com> - 1.2.1-8
- Remove python2-backports-unittest_mock subpackage

* Tue Jan 7 2020 fengbing <fengbing7@huawei.com> - 1.2.1-7
- Package init
